<?php
/*
    CREATIVE COMMONS - Attribution-No Derivative Works 3.0 Germany:
    - You may not alter, transform, or build upon this work.
    - Dieses Werk darf nicht bearbeitet oder in anderer Weise verändert werden.
*/
function iniGigs () {
global $DB_PREFIX;

global $CharsGigEntranceFee;
global $CharsGigLineup;
global $CharsGigVisitors;
global $CharsGigEvent;
global $CharsGigStageBuilding; 
global $CharsGigBeginning; 
global $CharsGigDuration; 
global $CharsGigEnding; 
global $CharsGigStatus;
global $CharsUserName;
global $CharsURLs;

// Tabellenfelder definieren
  $SQL = 'CREATE TABLE '.DB_PREFIX.'gigs
    (
     GigID INTEGER NOT NULL AUTO_INCREMENT,
     GigDate INT,
     GigEvent CHAR('.$CharsGigEvent.'),
     GigEventURL CHAR('.$CharsURLs.'),
     GigEntranceFee CHAR('.$CharsGigEntranceFee.'),
     GigLineup CHAR('.$CharsGigLineup.'),
     GigVisitors CHAR('.$CharsGigVisitors.'),
     GigStageBuilding CHAR('.$CharsGigStageBuilding.'),
     GigBeginning CHAR('.$CharsGigBeginning.'),
     GigDuration CHAR('.$CharsGigDuration.'),
     GigEnding CHAR('.$CharsGigEnding.'),
     GigNotes TEXT,
     GigStatus CHAR('.$CharsGigStatus.'),
     GigPublish TINYINT(1),
     GigIsPrivate TINYINT(1),
     GigDateOfLastEdit INT,
     GigLastEditor CHAR('.$CharsUserName.'),
     GigAddedFrom CHAR ('.$CharsUserName.'),
     GigDateOfAdding INT,
     GigVenueID INT,
     GigOrganizerID INT,
     GigArtistID INT,
     PRIMARY KEY (GigID),
     UNIQUE (GigID)
    ) ENGINE = MYISAM CHARACTER SET utf8 COLLATE utf8_unicode_ci';

  // Tabelle erzeugen und pruefen
    if (mysql_query($SQL)) return true;
      else return false;
}
?>